Bug 177324 - Odd missing `gnu.gcj.gcj-compiled' attribute
Odd missing `gnu.gcj.gcj-compiled' attribute
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-09 11:53 EST by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-10 00:25:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2006-01-09 11:53:32 EST
Description of problem:
While trying to natively-compile the Eclipse automated tests, I ran into this
weird issue with one of the jars.

Version-Release number of selected component (if applicable):
gcc-java-4.1.0-0.14.i386
java-1.4.2-gcj-compat-1.4.2.0-40jpp_55rh.i386
java-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_55rh.i386

How reproducible:
Always.

Steps to Reproduce:
1. wget http://overholt.ca/converterJclMin.jar.1.jar
2. gcj -shared -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32
-march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -fPIC
-findirect-dispatch -fjni -Wl,-Bsymbolic converterJclMin.jar.1.jar -o
converterJclMin.jar.so
  
Actual results:
java/lang/Object.java:0: fatal error: the ‘java.lang.Object’ that was found in
‘java/lang/Object.class’ didn't have the special zero-length
‘gnu.gcj.gcj-compiled’ attribute.  This generally means that your classpath is
incorrectly set.  Use ‘info gcj "Input Options"’ to see the info page describing
how to set the classpath compilation terminated.

Expected results:
Successful compilation.

Additional info:
This is not the first jar in the aot-compile-rpm run.  Many are compiled before
this failure.  I am using the system gcc from today's rawhide.
Comment 1 Tom Tromey 2006-01-09 12:11:21 EST
opsy. jar tvvf converterJclMin.jar.1.jar |grep Object
  1368 Tue Jan 01 00:00:00 MST 1980 java/lang/Object.class


gcj only likes to compile its own Object.  I think we saw
crashes when it compiled other variants of Object, and since
we didn't want to support this, we decided to simply give
an error if we detected this situation.

I wonder where the classes in this jar come from.  If they
aren't from libgcj.jar then maybe we shouldn't be distributing
them ...?

Anyway, one fix would be not to compile this jar.
Comment 2 Jakub Jelinek 2006-01-10 00:09:07 EST
So -> NOTABUG ?
Comment 3 Andrew Overholt 2006-01-10 00:25:57 EST
Yeah, NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.